// Code generated by protoc-gen-go. DO NOT EDIT.
// source: yandex/cloud/resourcemanager/v1/cloud_service.proto

package resourcemanager // import "github.com/yandex-cloud/go-genproto/yandex/cloud/resourcemanager/v1"

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "github.com/yandex-cloud/go-genproto/yandex/api"
import access "github.com/yandex-cloud/go-genproto/yandex/cloud/access"
import operation "github.com/yandex-cloud/go-genproto/yandex/cloud/operation"
import _ "github.com/yandex-cloud/go-genproto/yandex/cloud/validation"
import _ "google.golang.org/genproto/googleapis/api/annotations"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type GetCloudRequest struct {
	// ID of the Cloud resource to return.
	// To get the cloud ID, use a [CloudService.List] request.
	CloudId              string   `protobuf:"bytes,1,opt,name=cloud_id,json=cloudId,proto3" json:"cloud_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetCloudRequest) Reset()         { *m = GetCloudRequest{} }
func (m *GetCloudRequest) String() string { return proto.CompactTextString(m) }
func (*GetCloudRequest) ProtoMessage()    {}
func (*GetCloudRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cloud_service_7c926146593289a6, []int{0}
}
func (m *GetCloudRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetCloudRequest.Unmarshal(m, b)
}
func (m *GetCloudRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetCloudRequest.Marshal(b, m, deterministic)
}
func (dst *GetCloudRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetCloudRequest.Merge(dst, src)
}
func (m *GetCloudRequest) XXX_Size() int {
	return xxx_messageInfo_GetCloudRequest.Size(m)
}
func (m *GetCloudRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetCloudRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetCloudRequest proto.InternalMessageInfo

func (m *GetCloudRequest) GetCloudId() string {
	if m != nil {
		return m.CloudId
	}
	return ""
}

type ListCloudsRequest struct {
	// The maximum number of results per page to return. If the number of available
	// results is larger than [page_size],
	// the service returns a [ListCloudsResponse.next_page_token]
	// that can be used to get the next page of results in subsequent list requests.
	// Default value: 100.
	PageSize int64 `protobuf:"varint,1,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Page token. Set [page_token]
	// to the [ListCloudsResponse.next_page_token]
	// returned by a previous list request to get the next page of results.
	PageToken string `protobuf:"bytes,2,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	// A filter expression that filters resources listed in the response.
	// The expression must specify:
	// 1. The field name. Currently you can use filtering only on the [Cloud.name] field.
	// 2. An operator. Can be either `=` or `!=` for single values, `IN` or `NOT IN` for lists of values.
	// 3. The value. Must be 3-63 characters long and match the regular expression `^[a-z][-a-z0-9]{1,61}[a-z0-9]$`.
	Filter               string   `protobuf:"bytes,3,opt,name=filter,proto3" json:"filter,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListCloudsRequest) Reset()         { *m = ListCloudsRequest{} }
func (m *ListCloudsRequest) String() string { return proto.CompactTextString(m) }
func (*ListCloudsRequest) ProtoMessage()    {}
func (*ListCloudsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cloud_service_7c926146593289a6, []int{1}
}
func (m *ListCloudsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListCloudsRequest.Unmarshal(m, b)
}
func (m *ListCloudsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListCloudsRequest.Marshal(b, m, deterministic)
}
func (dst *ListCloudsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListCloudsRequest.Merge(dst, src)
}
func (m *ListCloudsRequest) XXX_Size() int {
	return xxx_messageInfo_ListCloudsRequest.Size(m)
}
func (m *ListCloudsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListCloudsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListCloudsRequest proto.InternalMessageInfo

func (m *ListCloudsRequest) GetPageSize() int64 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListCloudsRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

func (m *ListCloudsRequest) GetFilter() string {
	if m != nil {
		return m.Filter
	}
	return ""
}

type ListCloudsResponse struct {
	// List of Cloud resources.
	Clouds []*Cloud `protobuf:"bytes,1,rep,name=clouds,proto3" json:"clouds,omitempty"`
	// This token allows you to get the next page of results for list requests. If the number of results
	// is larger than [ListCloudsRequest.page_size], use
	// the [next_page_token] as the value
	// for the [ListCloudsRequest.page_token] query parameter
	// in the next list request. Each subsequent list request will have its own
	// [next_page_token] to continue paging through the results.
	NextPageToken        string   `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListCloudsResponse) Reset()         { *m = ListCloudsResponse{} }
func (m *ListCloudsResponse) String() string { return proto.CompactTextString(m) }
func (*ListCloudsResponse) ProtoMessage()    {}
func (*ListCloudsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_cloud_service_7c926146593289a6, []int{2}
}
func (m *ListCloudsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListCloudsResponse.Unmarshal(m, b)
}
func (m *ListCloudsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListCloudsResponse.Marshal(b, m, deterministic)
}
func (dst *ListCloudsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListCloudsResponse.Merge(dst, src)
}
func (m *ListCloudsResponse) XXX_Size() int {
	return xxx_messageInfo_ListCloudsResponse.Size(m)
}
func (m *ListCloudsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListCloudsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListCloudsResponse proto.InternalMessageInfo

func (m *ListCloudsResponse) GetClouds() []*Cloud {
	if m != nil {
		return m.Clouds
	}
	return nil
}

func (m *ListCloudsResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

type ListCloudOperationsRequest struct {
	// ID of the Cloud resource to list operations for.
	CloudId string `protobuf:"bytes,1,opt,name=cloud_id,json=cloudId,proto3" json:"cloud_id,omitempty"`
	// The maximum number of results per page to return. If the number of available
	// results is larger than [page_size], the service returns a [ListCloudOperationsResponse.next_page_token]
	// that can be used to get the next page of results in subsequent list requests.
	// Acceptable values are 0 to 1000, inclusive. Default value: 100.
	PageSize int64 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	// Page token. Set [page_token]
	// to the [ListCloudOperationsResponse.next_page_token]
	// returned by a previous list request to get the next page of results.
	PageToken            string   `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListCloudOperationsRequest) Reset()         { *m = ListCloudOperationsRequest{} }
func (m *ListCloudOperationsRequest) String() string { return proto.CompactTextString(m) }
func (*ListCloudOperationsRequest) ProtoMessage()    {}
func (*ListCloudOperationsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_cloud_service_7c926146593289a6, []int{3}
}
func (m *ListCloudOperationsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListCloudOperationsRequest.Unmarshal(m, b)
}
func (m *ListCloudOperationsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListCloudOperationsRequest.Marshal(b, m, deterministic)
}
func (dst *ListCloudOperationsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListCloudOperationsRequest.Merge(dst, src)
}
func (m *ListCloudOperationsRequest) XXX_Size() int {
	return xxx_messageInfo_ListCloudOperationsRequest.Size(m)
}
func (m *ListCloudOperationsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListCloudOperationsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListCloudOperationsRequest proto.InternalMessageInfo

func (m *ListCloudOperationsRequest) GetCloudId() string {
	if m != nil {
		return m.CloudId
	}
	return ""
}

func (m *ListCloudOperationsRequest) GetPageSize() int64 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListCloudOperationsRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

type ListCloudOperationsResponse struct {
	// List of operations for the specified cloud.
	Operations []*operation.Operation `protobuf:"bytes,1,rep,name=operations,proto3" json:"operations,omitempty"`
	// This token allows you to get the next page of results for list requests. If the number of results
	// is larger than [ListCloudOperationsRequest.page_size], use the [next_page_token] as the value
	// for the [ListCloudOperationsRequest.page_token] query parameter in the next list request.
	// Each subsequent list request will have its own [next_page_token] to continue paging through the results.
	NextPageToken        string   `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListCloudOperationsResponse) Reset()         { *m = ListCloudOperationsResponse{} }
func (m *ListCloudOperationsResponse) String() string { return proto.CompactTextString(m) }
func (*ListCloudOperationsResponse) ProtoMessage()    {}
func (*ListCloudOperationsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_cloud_service_7c926146593289a6, []int{4}
}
func (m *ListCloudOperationsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListCloudOperationsResponse.Unmarshal(m, b)
}
func (m *ListCloudOperationsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListCloudOperationsResponse.Marshal(b, m, deterministic)
}
func (dst *ListCloudOperationsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListCloudOperationsResponse.Merge(dst, src)
}
func (m *ListCloudOperationsResponse) XXX_Size() int {
	return xxx_messageInfo_ListCloudOperationsResponse.Size(m)
}
func (m *ListCloudOperationsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListCloudOperationsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListCloudOperationsResponse proto.InternalMessageInfo

func (m *ListCloudOperationsResponse) GetOperations() []*operation.Operation {
	if m != nil {
		return m.Operations
	}
	return nil
}

func (m *ListCloudOperationsResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

func init() {
	proto.RegisterType((*GetCloudRequest)(nil), "yandex.cloud.resourcemanager.v1.GetCloudRequest")
	proto.RegisterType((*ListCloudsRequest)(nil), "yandex.cloud.resourcemanager.v1.ListCloudsRequest")
	proto.RegisterType((*ListCloudsResponse)(nil), "yandex.cloud.resourcemanager.v1.ListCloudsResponse")
	proto.RegisterType((*ListCloudOperationsRequest)(nil), "yandex.cloud.resourcemanager.v1.ListCloudOperationsRequest")
	proto.RegisterType((*ListCloudOperationsResponse)(nil), "yandex.cloud.resourcemanager.v1.ListCloudOperationsResponse")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// CloudServiceClient is the client API for CloudService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type CloudServiceClient interface {
	// Returns the specified Cloud resource.
	//
	// To get the list of available Cloud resources, make a [List] request.
	Get(ctx context.Context, in *GetCloudRequest, opts ...grpc.CallOption) (*Cloud, error)
	// Retrieves the list of Cloud resources.
	List(ctx context.Context, in *ListCloudsRequest, opts ...grpc.CallOption) (*ListCloudsResponse, error)
	// Lists operations for the specified cloud.
	ListOperations(ctx context.Context, in *ListCloudOperationsRequest, opts ...grpc.CallOption) (*ListCloudOperationsResponse, error)
	// Lists access bindings for the specified cloud.
	ListAccessBindings(ctx context.Context, in *access.ListAccessBindingsRequest, opts ...grpc.CallOption) (*access.ListAccessBindingsResponse, error)
	// Sets access bindings for the specified cloud.
	SetAccessBindings(ctx context.Context, in *access.SetAccessBindingsRequest, opts ...grpc.CallOption) (*operation.Operation, error)
	// Updates access bindings for the specified cloud.
	UpdateAccessBindings(ctx context.Context, in *access.UpdateAccessBindingsRequest, opts ...grpc.CallOption) (*operation.Operation, error)
}

type cloudServiceClient struct {
	cc *grpc.ClientConn
}

func NewCloudServiceClient(cc *grpc.ClientConn) CloudServiceClient {
	return &cloudServiceClient{cc}
}

func (c *cloudServiceClient) Get(ctx context.Context, in *GetCloudRequest, opts ...grpc.CallOption) (*Cloud, error) {
	out := new(Cloud)
	err := c.cc.Invoke(ctx, "/yandex.cloud.resourcemanager.v1.CloudService/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cloudServiceClient) List(ctx context.Context, in *ListCloudsRequest, opts ...grpc.CallOption) (*ListCloudsResponse, error) {
	out := new(ListCloudsResponse)
	err := c.cc.Invoke(ctx, "/yandex.cloud.resourcemanager.v1.CloudService/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cloudServiceClient) ListOperations(ctx context.Context, in *ListCloudOperationsRequest, opts ...grpc.CallOption) (*ListCloudOperationsResponse, error) {
	out := new(ListCloudOperationsResponse)
	err := c.cc.Invoke(ctx, "/yandex.cloud.resourcemanager.v1.CloudService/ListOperations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cloudServiceClient) ListAccessBindings(ctx context.Context, in *access.ListAccessBindingsRequest, opts ...grpc.CallOption) (*access.ListAccessBindingsResponse, error) {
	out := new(access.ListAccessBindingsResponse)
	err := c.cc.Invoke(ctx, "/yandex.cloud.resourcemanager.v1.CloudService/ListAccessBindings", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cloudServiceClient) SetAccessBindings(ctx context.Context, in *access.SetAccessBindingsRequest, opts ...grpc.CallOption) (*operation.Operation, error) {
	out := new(operation.Operation)
	err := c.cc.Invoke(ctx, "/yandex.cloud.resourcemanager.v1.CloudService/SetAccessBindings", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cloudServiceClient) UpdateAccessBindings(ctx context.Context, in *access.UpdateAccessBindingsRequest, opts ...grpc.CallOption) (*operation.Operation, error) {
	out := new(operation.Operation)
	err := c.cc.Invoke(ctx, "/yandex.cloud.resourcemanager.v1.CloudService/UpdateAccessBindings", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CloudServiceServer is the server API for CloudService service.
type CloudServiceServer interface {
	// Returns the specified Cloud resource.
	//
	// To get the list of available Cloud resources, make a [List] request.
	Get(context.Context, *GetCloudRequest) (*Cloud, error)
	// Retrieves the list of Cloud resources.
	List(context.Context, *ListCloudsRequest) (*ListCloudsResponse, error)
	// Lists operations for the specified cloud.
	ListOperations(context.Context, *ListCloudOperationsRequest) (*ListCloudOperationsResponse, error)
	// Lists access bindings for the specified cloud.
	ListAccessBindings(context.Context, *access.ListAccessBindingsRequest) (*access.ListAccessBindingsResponse, error)
	// Sets access bindings for the specified cloud.
	SetAccessBindings(context.Context, *access.SetAccessBindingsRequest) (*operation.Operation, error)
	// Updates access bindings for the specified cloud.
	UpdateAccessBindings(context.Context, *access.UpdateAccessBindingsRequest) (*operation.Operation, error)
}

func RegisterCloudServiceServer(s *grpc.Server, srv CloudServiceServer) {
	s.RegisterService(&_CloudService_serviceDesc, srv)
}

func _CloudService_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetCloudRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CloudServiceServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/yandex.cloud.resourcemanager.v1.CloudService/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CloudServiceServer).Get(ctx, req.(*GetCloudRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CloudService_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListCloudsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CloudServiceServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/yandex.cloud.resourcemanager.v1.CloudService/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CloudServiceServer).List(ctx, req.(*ListCloudsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CloudService_ListOperations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListCloudOperationsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CloudServiceServer).ListOperations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/yandex.cloud.resourcemanager.v1.CloudService/ListOperations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CloudServiceServer).ListOperations(ctx, req.(*ListCloudOperationsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CloudService_ListAccessBindings_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(access.ListAccessBindingsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CloudServiceServer).ListAccessBindings(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/yandex.cloud.resourcemanager.v1.CloudService/ListAccessBindings",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CloudServiceServer).ListAccessBindings(ctx, req.(*access.ListAccessBindingsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CloudService_SetAccessBindings_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(access.SetAccessBindingsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CloudServiceServer).SetAccessBindings(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/yandex.cloud.resourcemanager.v1.CloudService/SetAccessBindings",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CloudServiceServer).SetAccessBindings(ctx, req.(*access.SetAccessBindingsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CloudService_UpdateAccessBindings_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(access.UpdateAccessBindingsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CloudServiceServer).UpdateAccessBindings(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/yandex.cloud.resourcemanager.v1.CloudService/UpdateAccessBindings",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CloudServiceServer).UpdateAccessBindings(ctx, req.(*access.UpdateAccessBindingsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _CloudService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "yandex.cloud.resourcemanager.v1.CloudService",
	HandlerType: (*CloudServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Get",
			Handler:    _CloudService_Get_Handler,
		},
		{
			MethodName: "List",
			Handler:    _CloudService_List_Handler,
		},
		{
			MethodName: "ListOperations",
			Handler:    _CloudService_ListOperations_Handler,
		},
		{
			MethodName: "ListAccessBindings",
			Handler:    _CloudService_ListAccessBindings_Handler,
		},
		{
			MethodName: "SetAccessBindings",
			Handler:    _CloudService_SetAccessBindings_Handler,
		},
		{
			MethodName: "UpdateAccessBindings",
			Handler:    _CloudService_UpdateAccessBindings_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "yandex/cloud/resourcemanager/v1/cloud_service.proto",
}

func init() {
	proto.RegisterFile("yandex/cloud/resourcemanager/v1/cloud_service.proto", fileDescriptor_cloud_service_7c926146593289a6)
}

var fileDescriptor_cloud_service_7c926146593289a6 = []byte{
	// 716 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x55, 0x31, 0x6f, 0xd3, 0x40,
	0x14, 0xd6, 0x35, 0x25, 0x34, 0x47, 0xa1, 0xea, 0x09, 0xa4, 0xc8, 0xa5, 0x22, 0xb8, 0x52, 0x88,
	0x8a, 0x62, 0xc7, 0x8d, 0x18, 0x9a, 0xa6, 0x15, 0x4d, 0x41, 0x15, 0x12, 0x08, 0x94, 0xd0, 0x85,
	0xa5, 0xba, 0xc6, 0x57, 0x63, 0x91, 0xfa, 0x8c, 0xef, 0x12, 0xb5, 0x05, 0x16, 0x58, 0x20, 0x0b,
	0x03, 0x0c, 0xfc, 0x02, 0x7e, 0x00, 0x2b, 0x3b, 0xed, 0x0c, 0x7f, 0x81, 0x01, 0x89, 0x1f, 0x80,
	0xc4, 0x84, 0x7c, 0x67, 0xa7, 0x89, 0x9d, 0x36, 0x0e, 0x93, 0x25, 0xbf, 0xef, 0x7b, 0xef, 0x7b,
	0xdf, 0x7b, 0x77, 0x07, 0xcb, 0x07, 0xd8, 0x31, 0xc9, 0xbe, 0xde, 0x6c, 0xd1, 0xb6, 0xa9, 0x7b,
	0x84, 0xd1, 0xb6, 0xd7, 0x24, 0x7b, 0xd8, 0xc1, 0x16, 0xf1, 0xf4, 0x8e, 0x21, 0x03, 0xdb, 0x8c,
	0x78, 0x1d, 0xbb, 0x49, 0x34, 0xd7, 0xa3, 0x9c, 0xa2, 0x6b, 0x92, 0xa4, 0x89, 0x98, 0x16, 0x21,
	0x69, 0x1d, 0x43, 0xb9, 0x6a, 0x51, 0x6a, 0xb5, 0x88, 0x8e, 0x5d, 0x5b, 0xc7, 0x8e, 0x43, 0x39,
	0xe6, 0x36, 0x75, 0x98, 0xa4, 0x2b, 0x37, 0x13, 0xd5, 0x0c, 0xc0, 0x4a, 0x00, 0xf6, 0x53, 0x51,
	0x97, 0x78, 0x22, 0x53, 0x10, 0xcb, 0x0d, 0x24, 0xc2, 0xcd, 0x26, 0x61, 0x2c, 0xf8, 0x04, 0x88,
	0xfc, 0x00, 0xa2, 0xc7, 0x8f, 0x65, 0x9a, 0x1f, 0xc0, 0x75, 0x70, 0xcb, 0x36, 0xfb, 0xc2, 0x6a,
	0x05, 0xce, 0x6c, 0x12, 0xbe, 0xe1, 0x07, 0xeb, 0xe4, 0x79, 0x9b, 0x30, 0x8e, 0x6e, 0xc0, 0x29,
	0x69, 0x8d, 0x6d, 0x66, 0x41, 0x0e, 0x14, 0x32, 0xb5, 0xe9, 0x5f, 0x47, 0x06, 0xe8, 0x1e, 0x1b,
	0x93, 0xd5, 0xd5, 0x5b, 0xa5, 0xfa, 0x79, 0x11, 0xbd, 0x67, 0xaa, 0x5d, 0x00, 0x67, 0xef, 0xdb,
	0x4c, 0xb2, 0xd9, 0x09, 0x3d, 0xe3, 0x62, 0x8b, 0x6c, 0x33, 0xfb, 0x90, 0x08, 0x7e, 0xaa, 0x06,
	0xff, 0x1e, 0x19, 0xe9, 0xea, 0xaa, 0x51, 0x2a, 0x95, 0xea, 0x53, 0x7e, 0xb0, 0x61, 0x1f, 0x12,
	0x54, 0x80, 0x50, 0x00, 0x39, 0x7d, 0x46, 0x9c, 0xec, 0x84, 0xa8, 0x94, 0xe9, 0x1e, 0x1b, 0xe7,
	0x04, 0xb2, 0x2e, 0xb2, 0x3c, 0xf6, 0x63, 0x48, 0x85, 0xe9, 0x5d, 0xbb, 0xc5, 0x89, 0x97, 0x4d,
	0x09, 0x14, 0xec, 0x1e, 0xf7, 0xf2, 0x05, 0x11, 0xf5, 0x25, 0x44, 0xfd, 0x5a, 0x98, 0x4b, 0x1d,
	0x46, 0xd0, 0x1a, 0x4c, 0x0b, 0xb5, 0x2c, 0x0b, 0x72, 0xa9, 0xc2, 0x85, 0xa5, 0xbc, 0x36, 0x62,
	0xc0, 0x9a, 0xb4, 0x22, 0x60, 0xa1, 0x3c, 0x9c, 0x71, 0xc8, 0x3e, 0xdf, 0x8e, 0x0a, 0xad, 0x5f,
	0xf4, 0x7f, 0x3f, 0x0a, 0x15, 0xaa, 0x9f, 0x00, 0x54, 0x7a, 0xe5, 0x1f, 0x86, 0x23, 0x60, 0xe3,
	0x5a, 0x3a, 0x68, 0xde, 0x44, 0x62, 0xf3, 0x52, 0xa7, 0x9b, 0xa7, 0xbe, 0x05, 0x70, 0x6e, 0xa8,
	0xb4, 0xc0, 0xa2, 0x75, 0x08, 0x7b, 0x3b, 0x13, 0xda, 0x74, 0x7d, 0xd0, 0xa6, 0x93, 0x9d, 0xea,
	0xf1, 0xeb, 0x7d, 0xa4, 0xa4, 0x2e, 0x2d, 0x7d, 0xce, 0xc0, 0x69, 0x21, 0xa3, 0x21, 0x0f, 0x1d,
	0x7a, 0x0f, 0x60, 0x6a, 0x93, 0x70, 0x54, 0x1a, 0x39, 0x96, 0xc8, 0x92, 0x2a, 0x09, 0x07, 0xa9,
	0x6a, 0xaf, 0x7f, 0xfc, 0xfc, 0x30, 0x51, 0x40, 0xf9, 0xde, 0x69, 0x2c, 0x46, 0x8f, 0x23, 0xd3,
	0x5f, 0x84, 0xc3, 0x79, 0x85, 0x3e, 0x02, 0x38, 0xe9, 0xbb, 0x85, 0x96, 0x46, 0x16, 0x88, 0xad,
	0xbe, 0x52, 0x1e, 0x8b, 0x23, 0xfd, 0x57, 0x17, 0x84, 0xc2, 0x79, 0x34, 0x77, 0x86, 0x42, 0xf4,
	0x0d, 0xc0, 0x4b, 0x3e, 0xf7, 0x64, 0x7e, 0x68, 0x25, 0x79, 0xb1, 0xd8, 0x42, 0x2a, 0xd5, 0xff,
	0x23, 0x07, 0x92, 0x97, 0x85, 0xe4, 0x32, 0x32, 0x92, 0x99, 0xaa, 0xf7, 0xad, 0xca, 0x57, 0x20,
	0xcf, 0xe9, 0xba, 0xb8, 0xcb, 0x6a, 0xb6, 0x63, 0xda, 0x8e, 0xc5, 0x90, 0x36, 0xa8, 0x27, 0xb8,
	0xe9, 0xe2, 0xc0, 0x50, 0xbf, 0x9e, 0x18, 0x1f, 0x48, 0xbe, 0x23, 0x24, 0xaf, 0xa1, 0xea, 0x99,
	0x92, 0xc3, 0x98, 0xaf, 0xba, 0xd2, 0x8a, 0xcb, 0xfc, 0x0d, 0xe0, 0x6c, 0x83, 0x44, 0xff, 0x16,
	0x87, 0x8a, 0x89, 0xe1, 0x42, 0xed, 0xa3, 0x0f, 0x97, 0xfa, 0x06, 0x7c, 0xf9, 0xbe, 0xb8, 0x0c,
	0x73, 0xa7, 0xa5, 0x7a, 0x40, 0x38, 0x36, 0x31, 0xc7, 0xe8, 0x8a, 0x7c, 0x8e, 0xe4, 0x65, 0xbe,
	0xd3, 0xde, 0xd5, 0xee, 0xee, 0xb9, 0xfc, 0x40, 0xf4, 0x7a, 0x5b, 0x5d, 0x49, 0xde, 0x2b, 0x8b,
	0x56, 0xa8, 0x80, 0x45, 0xf4, 0x07, 0xc0, 0xcb, 0x5b, 0xae, 0x89, 0x39, 0x89, 0x34, 0x5c, 0x1a,
	0xda, 0xf0, 0x30, 0xe8, 0x18, 0x3d, 0xbf, 0xf3, 0x7b, 0xae, 0xc2, 0x85, 0x33, 0xb2, 0x25, 0x69,
	0x7b, 0x43, 0x5d, 0x4b, 0xde, 0x76, 0x7b, 0x48, 0x91, 0x0a, 0x58, 0xac, 0x6d, 0x3d, 0x69, 0x58,
	0x36, 0x7f, 0xda, 0xde, 0xd1, 0x9a, 0x74, 0x4f, 0x97, 0xd2, 0x8b, 0xf2, 0x05, 0xb5, 0x68, 0xd1,
	0x22, 0x8e, 0x28, 0xac, 0x8f, 0x78, 0xed, 0x57, 0x22, 0xbf, 0x76, 0xd2, 0x82, 0x56, 0xfe, 0x17,
	0x00, 0x00, 0xff, 0xff, 0x6f, 0x0f, 0xcf, 0x65, 0x9b, 0x08, 0x00, 0x00,
}
